# -*- coding: utf-8 -*-
# Name:        main.py
# Author:      Mancuniancol
# Created on:  28.01.2017
# Licence:     GPL v.3: http://www.gnu.org/copyleft/gpl.html
import xbmcaddon
import xbmcgui

import json_rcp

for one_parser in json_rcp.get_list_parsers():
    if '1337x' in one_parser['addonid']:
        continue
    if 'piratebay' in one_parser['addonid']:
        continue
    if 'eztv' in one_parser['addonid']:
        continue
    if 'yts' in one_parser['addonid']:
        continue

    json_rcp.disable_parser(one_parser['addonid'])
    # xbmc.log(one_parser['addonid'], 2)

list_plugins = json_rcp.get_list_plugins()
if 'plugin.video.quasar' in list_plugins:
    settings = xbmcaddon.Addon('plugin.video.quasar')
    settings.setSetting('choose_stream_auto', 'false')
    settings.setSetting('background_handling', 'true')
    settings.setSetting('keep_files_ask', 'true')
    settings.setSetting('custom_provider_timeout', '120')
    settings.setSetting('custom_provider_timeout_enabled', 'true')
    del settings

if 'plugin.video.torrenter' in list_plugins:
    settings = xbmcaddon.Addon('plugin.video.torrenter')
    del settings

xbmcgui.Dialog().ok('Default configuration', 'Done!',
                    'You can enable more parsers, but try first the defaults. ' +
                    '\nThere are several options calling the contextual menu.' +
                    '\nSubscriptions are TV shows integrated to video library.')

json_rcp.open_magnetic()
